# Importada de nixpkgs por `hammer import-nix` (Etapa G). PUNTO DE PARTIDA, no final:
# - el build usa el lab de hammer (zig-cc / musl estático), NO el stdenv de nix ⇒ revisá
#   compiler/link/phases y adaptá hasta que compile.
# - las deps van con su nombre NIX; remapealas a las recetas del corpus si difieren.
name    = "grass"
version = "8.5.0"

[source]
repo   = "https://github.com/OSGeo/grass"
commit = "8d6ceba290a2f0059a7301b9d4944455f313da72"

[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []

[build.phases]
configure = "./configure --prefix=/usr --with-blas --with-cairo-ldflags=-lfontconfig --with-cxx --with-fftw --with-freetype --with-geos --with-gdal --with-lapack --with-libsvm --with-nls --with-openmp --with-pdal --with-postgres --with-postgres-libs=/home/sergio/.nixstore/y2w5m6sjngj6x774y4ah1y5v6jrvyh34-libpq-18.4/lib/ --with-proj-includes=/home/sergio/.nixstore/4jaxk13j5q1627lmjpyv716jai0x9jna-proj-9.8.1-dev/include --with-proj-libs=/home/sergio/.nixstore/vc8xkm1b1fasyyn9dndsvm9gksbp5iy2-proj-9.8.1/lib --with-proj-share=/home/sergio/.nixstore/vc8xkm1b1fasyyn9dndsvm9gksbp5iy2-proj-9.8.1/share/proj --with-sqlite --with-zstd --without-bzlib --without-mysql --without-odbc"

[deps]
build = ["bison", "flex", "gdal", "geos", "netcdf", "python-dateutil", "numpy", "wxpython", "blas", "cairo", "ffmpeg", "fftw-double", "freetype", "lapack", "libpng-apng", "libsvm", "libtiff", "libxml2", "pdal", "libpq", "proj", "readline", "sqlite", "wxwidgets", "zlib", "zstd", "glu"]
